---
title: pydo.monitoring.get_lb_frontend_tls_connections_limit()
description: Get Load Balancer Frontend Max TLS Connections Limit Metrics
product: Reference
url: https://docs.digitalocean.com/reference/pydo/reference/monitoring/get_lb_frontend_tls_connections_limit/
last_updated: "2026-08-03"
---

> **For AI agents:** The documentation index is at [https://docs.digitalocean.com/llms.txt](https://docs.digitalocean.com/llms.txt). Markdown versions of pages use the same URL with `index.html.md` in place of the HTML page (for example, append `index.html.md` to the directory path instead of opening the HTML document).

# pydo.monitoring.get_lb_frontend_tls_connections_limit()

Generated on 3 Aug 2026 from `pydo` version [`v0.40.0`](https://github.com/digitalocean/pydo/releases/tag/v0.40.0v0.40.0)

## Usage

```python
client.monitoring.get_lb_frontend_tls_connections_limit(
    lb_id="4de7ac8b-495b-4884-9a69-1050c6793cd6",
    start="1620683817",
    end="1620705417",
)
```

Returns `JSON`Raises `HttpResponseError`

## Description

To retrieve frontend max TLS connections limit for a given load balancer, send a GET request to [`/v2/monitoring/metrics/load_balancer/frontend_tls_connections_limit`](https://docs.digitalocean.com/reference/api/reference/monitoring/index.html.md#monitoring_get_lb_frontend_tls_connections_limit).

## Parameters

`lb_id` string required

A unique identifier for a load balancer.

`start` string required

UNIX timestamp to start metric window.

`end` string required

UNIX timestamp to end metric window.

## Response Example

## Show Response Example

```json
{
  "data": {
    "result": [],
    "resultType": "matrix"
  },
  "status": "success"
}
```

## More Information

See [`/v2/monitoring/metrics/load_balancer/frontend_tls_connections_limit`](https://docs.digitalocean.com/reference/api/reference/monitoring/index.html.md#monitoring_get_lb_frontend_tls_connections_limit) in the API reference for additional detail on responses, headers, parameters, and more.